### Enumeration

# Gio SocketProtocol

since: 2.22

#### Declaration

    enum Gio.SocketProtocol

#### Description [src]

A protocol identifier is specified when creating a `GSocket`, which is a family/type specific identifier, where 0 means the default protocol for the particular family/type.

This enum contains a set of commonly available and used protocols. You can also pass any other identifiers handled by the platform in order to use protocols not listed here.

Available since: 2.22

#### Members

Name | Description
--- | ---
`G_SOCKET_PROTOCOL_UNKNOWN` | The protocol type is unknown.
`G_SOCKET_PROTOCOL_DEFAULT` | The default protocol for the family/type.
`G_SOCKET_PROTOCOL_TCP` | TCP over IP.
`G_SOCKET_PROTOCOL_UDP` | UDP over IP.
`G_SOCKET_PROTOCOL_SCTP` | SCTP over IP.